﻿<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:a="http://www.gymel.com/allegro/xml/0.1/"
                xmlns:h="http://www.w3.org/1999/xhtml"
                xmlns:x="http://www.gymel.com/ist/ja/so/egal"
                exclude-result-prefixes="xsl a x"
               >

   <xsl:output method="xml"
              version="1.0" 
               indent="yes"
       doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
       doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
    />

   <xsl:namespace-alias stylesheet-prefix="h" result-prefix="#default"/>

   <xsl:variable name="rakdb" select="'http://www.biblio.tu-bs.de/db/rfk/page.php?urG=PAR&amp;urS='"/>
   <xsl:variable name="rakanh" select="'http://www.fbi.fh-koeln.de/studium/rak/Anlage'"/>
   <xsl:variable name="formdb" select="'http://www.biblio.tu-bs.de/db/formate/page.php?urG=ALG&amp;urS='"/>
   <xsl:variable name="form04" select="'http://www.allegro-c.de/doku/form2004/for'"/>


   <x:data>
     <a:field tag="00" indic=" "><x:label>Lokale Identnr.</x:label></a:field>
     <a:field tag="20" indic=" ">
           <x:label>HST " : " Zusatz</x:label>
           <x:rak>§501 ff</x:rak>
        <a:subfield code="g"><x:label>Gesamtzusatz</x:label></a:subfield>
        <a:subfield code="p"><x:label>PI-Ordn.Wort</x:label></a:subfield>
        <a:subfield code="s"><x:label>Sortiertitel</x:label></a:subfield>
     </a:field>
     <a:field tag="74" indic=" ">
        <x:label>Erscheinungsort</x:label>
        <x:dform>1g</x:dform>
        <x:rak>A16, A17</x:rak>
        <a:subfield code="g"><x:label>Land</x:label></a:subfield>
     </a:field>
     <a:field tag="75" indic=" ">
       <x:label>Verlag</x:label>
       <x:dform>1g</x:dform>
       <x:rak>A9</x:rak>
     </a:field>
     <a:field tag="77" indic=" "><x:label>Umfang</x:label>
        <a:subfield code="A"><x:label>Aufz.art</x:label></a:subfield>
        <a:subfield code="D"><x:label>Abmessung</x:label></a:subfield>
        <a:subfield code="E"><x:label>Einbandart</x:label></a:subfield>
        <a:subfield code="F"><x:label>Farbe</x:label></a:subfield>
        <a:subfield code="M"><x:label>TrägerMaterial</x:label></a:subfield>
        <a:subfield code="T"><x:label>künstl.Technik</x:label></a:subfield>
     </a:field>
     <a:field tag="85" indic=" "><x:label>Gesamttitel</x:label>
        <a:subfield code=""><x:label> Körp.Ergzg.</x:label></a:subfield>
        <a:subfield code="s"><x:label>Verf.Angabe</x:label></a:subfield>
        <a:subfield code="A"><x:label>Ansetzung</x:label></a:subfield>
        <a:subfield code="N"><x:label>Sortiernummer</x:label></a:subfield>
        <a:subfield code="i"><x:label>ISSN</x:label></a:subfield>
        <a:subfield code="u"><x:label>Unterreihe-Bez.</x:label></a:subfield>
        <a:subfield code="U"><x:label>Unterreihe-Titel</x:label></a:subfield>
        <a:subfield code="v"><x:label>Zlg.d.Unterreihe</x:label></a:subfield>
     </a:field>
     <a:field tag="90" indic=" "><x:label>SIGNATUR</x:label>
        <a:subfield code="P"><x:label>Expl.Id</x:label></a:subfield>
        <a:subfield code="D"><x:label>Entleihdatum</x:label></a:subfield>
        <a:subfield code="L"><x:label>Sigel</x:label></a:subfield>
        <a:subfield code="a"><x:label>Barcode</x:label></a:subfield>
        <a:subfield code="d"><x:label>Expl.Änd.Datum</x:label></a:subfield>
        <a:subfield code="l"><x:label>Standort</x:label></a:subfield>
        <a:subfield code="n"><x:label>Expl.Komment.</x:label></a:subfield>
        <a:subfield code="p"><x:label>Präsenz</x:label></a:subfield>
        <a:subfield code="s"><x:label>???</x:label></a:subfield>
        <a:subfield code="u"><x:label>Entleiher</x:label></a:subfield>
        <a:subfield code="z"><x:label>Expl.ZgNr.</x:label></a:subfield>
     </a:field>
     <a:field tag="92" indic=" "><x:label>Bestand</x:label>
        <a:subfield code="N"><x:label>Lücken</x:label></a:subfield>
        <a:subfield code="L"><x:label>Sigel</x:label></a:subfield>
        <a:subfield code="s"><x:label>Signatur</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="A"><x:label>Adresse</x:label>
        <a:subfield code="n"><x:label>Name</x:label></a:subfield>
        <a:subfield code="a"><x:label>Anschrift</x:label></a:subfield>
        <a:subfield code="k"><x:label>Kontakt</x:label></a:subfield>
        <a:subfield code="l"><x:label>KundNr</x:label></a:subfield>
        <a:subfield code="p"><x:label>Sprache</x:label></a:subfield>
        <a:subfield code="s"><x:label>Std.Lief.Frist</x:label></a:subfield>
        <a:subfield code="f"><x:label>Mahnfrist1</x:label></a:subfield>
        <a:subfield code="g"><x:label>Mahnfrist 2</x:label></a:subfield>
        <a:subfield code="h"><x:label>Mahnfrist3</x:label></a:subfield>
        <a:subfield code="t"><x:label>Telefon</x:label></a:subfield>
        <a:subfield code="b"><x:label>Bank</x:label></a:subfield>
        <a:subfield code="k"><x:label>KontoNr</x:label></a:subfield>
        <a:subfield code="z"><x:label>BLZ</x:label></a:subfield>
        <a:subfield code="w"><x:label>Lieferweg</x:label></a:subfield>
        <a:subfield code="F"><x:label>FaxNr bzw. Nutzerklassen</x:label></a:subfield>
        <a:subfield code="B"><x:label>Bemerkung</x:label></a:subfield>
        <a:subfield code="c"><x:label>Währung</x:label></a:subfield>
        <a:subfield code="L"><x:label>Sigel</x:label></a:subfield>
        <a:subfield code="N"><x:label>Kurzname</x:label></a:subfield>
        <a:subfield code="O"><x:label>Öffn.Zeiten</x:label></a:subfield>
        <a:subfield code="b"><x:label>BenutzBeding</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="B"><x:label>BestellNrGenerator</x:label>
        <a:subfield code="N"><x:label>Bezeichng</x:label></a:subfield>
        <a:subfield code="B"><x:label>Letzte vergebene Nummer</x:label></a:subfield>
        <a:subfield code="R"><x:label>Reg.name</x:label></a:subfield>
        <a:subfield code="P"><x:label>Präfix</x:label></a:subfield>
        <a:subfield code="F"><x:label>Feld-Präfix</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="C"><x:label>LeserKlassensatz</x:label>
        <a:subfield code="C"><x:label>Klassenname</x:label></a:subfield>
        <a:subfield code="X"><x:label>Ausl.zahl pro Leser</x:label></a:subfield>
        <a:subfield code="L"><x:label>Normalfrist</x:label></a:subfield>
        <a:subfield code="K"><x:label>Kurzfrist</x:label></a:subfield>
        <a:subfield code="E"><x:label>Verlng.frist</x:label></a:subfield>
        <a:subfield code="V"><x:label>VormerkFrist</x:label></a:subfield>
        <a:subfield code="M"><x:label>Mahnzyklus</x:label></a:subfield>
        <a:subfield code="G"><x:label>Gebührenschwelle</x:label></a:subfield>
        <a:subfield code="e"><x:label>Verl.Geb.</x:label></a:subfield>
        <a:subfield code="v"><x:label>Vorm.Geb.</x:label></a:subfield>
        <a:subfield code="n"><x:label>MahnGeb.1</x:label></a:subfield>
        <a:subfield code="m"><x:label>MahnGeb.2</x:label></a:subfield>
        <a:subfield code="u"><x:label>Kulanz/Interv/VzGeb</x:label></a:subfield>
        <a:subfield code="Y"><x:label>Verl. pro Ex.</x:label></a:subfield>
        <a:subfield code="Z"><x:label>max. Vormerkungen</x:label></a:subfield>
        <a:subfield code="S"><x:label>max. Mahnstufe</x:label></a:subfield>
        <a:subfield code="U"><x:label>Vormerk. pro Exemplar</x:label></a:subfield>
        <a:subfield code="A"><x:label>AuswGült(@2=2Jahre)</x:label></a:subfield>
        <a:subfield code="b"><x:label>GebhrAuswErsatz</x:label></a:subfield>
        <a:subfield code="a"><x:label>GebhrErstAnmeld</x:label></a:subfield>
        <a:subfield code="c"><x:label>GebhrAuswVerlng</x:label></a:subfield>
        <a:subfield code="R"><x:label>ReservFrist</x:label></a:subfield>
        <a:subfield code="N"><x:label>1.Mahnfrist</x:label></a:subfield>
        <a:subfield code="f"><x:label>Leihgebühr</x:label></a:subfield>
        <a:subfield code="n"><x:label>GebhrFolgeMhng</x:label></a:subfield>
        <a:subfield code="p"><x:label>GebhrMahnBrief</x:label></a:subfield>
        <a:subfield code="D"><x:label>ErfassMaske(DOS)</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="D"><x:label>Medientypsatz</x:label>
        <a:subfield code="C"><x:label>Medientypkürzel</x:label></a:subfield>
        <a:subfield code="B"><x:label>Leserklasse</x:label></a:subfield>
        <a:subfield code="L"><x:label>Normalfrist</x:label></a:subfield>
        <a:subfield code="K"><x:label>Kurzfrist</x:label></a:subfield>
        <a:subfield code="E"><x:label>VerlngFrist</x:label></a:subfield>
        <a:subfield code="V"><x:label>VormerkFrist</x:label></a:subfield>
        <a:subfield code="R"><x:label>ReservFrist</x:label></a:subfield>
        <a:subfield code="N"><x:label>1.Mahnfrist</x:label></a:subfield>
        <a:subfield code="M"><x:label>FolgemahnFrist</x:label></a:subfield>
        <a:subfield code="f"><x:label>Leihgebühr</x:label></a:subfield>
        <a:subfield code="e"><x:label>VerlngGebhr</x:label></a:subfield>
        <a:subfield code="v"><x:label>ReservGebhr</x:label></a:subfield>
        <a:subfield code="m"><x:label>FolgeMahnGeb</x:label></a:subfield>
        <a:subfield code="n"><x:label>Gebhr 1.Mhng</x:label></a:subfield>
        <a:subfield code="u"><x:label>Kulanz/Intervall/VzGebhr</x:label></a:subfield>
        <a:subfield code="x"><x:label>Währung</x:label></a:subfield>
        <a:subfield code="Y"><x:label>MaxzahlVerlng</x:label></a:subfield>
        <a:subfield code="U"><x:label>MaxzahlVormerk</x:label></a:subfield>
        <a:subfield code="X"><x:label>MaxzahlEntleih</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="K"><x:label>Kontingent</x:label>
        <a:subfield code="K"><x:label>Konting.Bez.</x:label></a:subfield>
        <a:subfield code="V"><x:label>Vorgabesumme</x:label></a:subfield>
        <a:subfield code="R"><x:label>Ref.Bestellsumme</x:label></a:subfield>
        <a:subfield code="E"><x:label>Erw.Bestellsumme</x:label></a:subfield>
        <a:subfield code="B"><x:label>Bestellsumme</x:label></a:subfield>
        <a:subfield code="A"><x:label>Ausgabesumme</x:label></a:subfield>
        <a:subfield code="c"><x:label>Währung</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="L"><x:label>Lieferant</x:label>
        <a:subfield code="n"><x:label>Name</x:label></a:subfield>
        <a:subfield code="a"><x:label>Anschrift</x:label></a:subfield>
        <a:subfield code="k"><x:label>KontaktPers</x:label></a:subfield>
        <a:subfield code="l"><x:label>Land</x:label></a:subfield>
        <a:subfield code="p"><x:label>Sprache</x:label></a:subfield>
        <a:subfield code="s"><x:label>StdLiefFrist</x:label></a:subfield>
        <a:subfield code="f"><x:label>MahnFrist1</x:label></a:subfield>
        <a:subfield code="g"><x:label>MahnFrist2</x:label></a:subfield>
        <a:subfield code="h"><x:label>MahnFrist3</x:label></a:subfield>
        <a:subfield code="t"><x:label>TelNr</x:label></a:subfield>
        <a:subfield code="b"><x:label>Bank</x:label></a:subfield>
        <a:subfield code="z"><x:label>BLZ</x:label></a:subfield>
        <a:subfield code="w"><x:label>StdLiefWeg</x:label></a:subfield>
        <a:subfield code="F"><x:label>FAX</x:label></a:subfield>
        <a:subfield code="B"><x:label>Bemerk</x:label></a:subfield>
        <a:subfield code="o"><x:label>KtoNr</x:label></a:subfield>
        <a:subfield code="K"><x:label>KontoNummer</x:label></a:subfield>
        <a:subfield code="e"><x:label>e-Mail</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="M"><x:label>MedientypStammsatz</x:label>
        <a:subfield code="C"><x:label>Kürzel</x:label></a:subfield>
        <a:subfield code="B"><x:label>Bezeichnung</x:label></a:subfield>
        <a:subfield code="D"><x:label>Codes</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="F"><x:label>Fenstersatz ORDA/aLF</x:label></a:field>
     <a:field tag="9A" indic="R"><x:label>Kalendersatz</x:label>
        <a:subfield code="J">Kalenderdaten</a:subfield>
     </a:field>
     <a:field tag="9A" indic="S"><x:label>SignaturGenerator</x:label>
        <a:subfield code="N"><x:label>Bezeichng</x:label></a:subfield>
        <a:subfield code="S"><x:label>Letzte vergebene Sign</x:label></a:subfield>
        <a:subfield code="R"><x:label>Reg.name</x:label></a:subfield>
        <a:subfield code="P"><x:label>Präfix</x:label></a:subfield>
        <a:subfield code="F"><x:label>Feld-Präfix</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="W"><x:label>Währungsliste</x:label>
        <a:subfield code="c"><x:label>Leitwährung</x:label></a:subfield>
        <a:subfield code="W"><x:label>Kurse</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="P"><x:label>Passwortdaten</x:label>
        <a:subfield code="P"><x:label>Passwort</x:label></a:subfield>
        <a:subfield code="A"><x:label>Rechte</x:label></a:subfield>
        <a:subfield code="m"><x:label>o/a</x:label></a:subfield>
        <a:subfield code="n"><x:label>Name</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="U"><x:label>Unicode-Stammsatz</x:label></a:field>
     <a:field tag="9A" indic="V"><x:label>Verteilersatz (Umlauf)</x:label>
        <a:subfield code="n"><x:label>Name</x:label></a:subfield>
        <a:subfield code="e"><x:label>Empfängerliste</x:label></a:subfield>
        <a:subfield code="k"><x:label>Kommentar</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="X"><x:label>Textbausteine</x:label>
        <a:subfield code="A"><x:label>Titel</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic="Z"><x:label>ZgNrGenerator</x:label>
        <a:subfield code="N"><x:label>Bezeichng</x:label></a:subfield>
        <a:subfield code="Z"><x:label>Letzte vergebene Nummer (DOS)</x:label></a:subfield>
        <a:subfield code="R"><x:label>Reg.name</x:label></a:subfield>
        <a:subfield code="P"><x:label>Präfix</x:label></a:subfield>
        <a:subfield code="F"><x:label>Feld-Präfix</x:label></a:subfield>
     </a:field>
     <a:field tag="9A" indic=" "><x:label>SystemDaten</x:label></a:field>
     <a:field tag="9B" indic=" "><x:label>Leserdaten</x:label>
        <a:subfield code="k"><x:label>Klasse (z.B. k1 = Student...)</x:label></a:subfield>
        <a:subfield code="n"><x:label>Name, Vorname</x:label></a:subfield>
        <a:subfield code="A"><x:label>Aufnahmedatum</x:label></a:subfield>
        <a:subfield code="a"><x:label>Ausweis-Gültigkeit Ende</x:label></a:subfield>
        <a:subfield code="s"><x:label>Straße und Hausnummer oder Postf.</x:label></a:subfield>
        <a:subfield code="o"><x:label>Wohnort</x:label></a:subfield>
        <a:subfield code="p"><x:label>Postleitzahl</x:label></a:subfield>
        <a:subfield code="t"><x:label>Telefon</x:label></a:subfield>
        <a:subfield code="e"><x:label>E-Mail-Adresse</x:label></a:subfield>
        <a:subfield code="i"><x:label>FAX-Nummer</x:label></a:subfield>
        <a:subfield code="N"><x:label>Zweitadresse/Externadresse: Name, Vorname</x:label></a:subfield>
        <a:subfield code="S"><x:label>Zweitadresse: Straße und Hausnummer oder Postf.</x:label></a:subfield>
        <a:subfield code="O"><x:label>Zweitadresse: Wohnort</x:label></a:subfield>
        <a:subfield code="P"><x:label>Zweitadresse: Postleitzahl</x:label></a:subfield>
        <a:subfield code="T"><x:label>Zweitadresse: Telefon</x:label></a:subfield>
        <a:subfield code="u"><x:label>m oder w</x:label></a:subfield>
        <a:subfield code="d"><x:label>Geburtsdatum</x:label></a:subfield>
        <a:subfield code="f"><x:label>Fakultät, Fachbereich, Institut, Stelle</x:label></a:subfield>
        <a:subfield code="j"><x:label>Beruf, Tätigkeit</x:label></a:subfield>
        <a:subfield code="E"><x:label>Gesamtzahl Entleihungen</x:label></a:subfield>
        <a:subfield code="F"><x:label>FAX</x:label></a:subfield>
     </a:field>
     <a:field tag="9C" indic=" "><x:label>SystemdatenErw</x:label></a:field>
     <a:field tag="9D" indic="A"><x:label>BestellNr</x:label>
        <a:subfield code="B"><x:label>BestellDat</x:label></a:subfield>
        <a:subfield code="T"><x:label>TitelIdNr</x:label></a:subfield>
        <a:subfield code="J"><x:label>AboIdNr</x:label></a:subfield>
        <a:subfield code="L"><x:label>InventDat</x:label></a:subfield>
        <a:subfield code="I"><x:label>InventDat</x:label></a:subfield>
        <a:subfield code="O"><x:label>DesidDatum</x:label></a:subfield>
        <a:subfield code="V"><x:label>VorschlDatum</x:label></a:subfield>
        <a:subfield code="E"><x:label>VorakzDatum</x:label></a:subfield>
        <a:subfield code="S"><x:label>StornoDatum</x:label></a:subfield>
        <a:subfield code="R"><x:label>ReklamDatum</x:label></a:subfield>
        <a:subfield code="A"><x:label>AbchlußDatum</x:label></a:subfield>
        <a:subfield code="F"><x:label>AbchlußDatum</x:label></a:subfield>
        <a:subfield code="C"><x:label>BestellDatum</x:label></a:subfield>
        <a:subfield code="a"><x:label>BestNum(Grund)</x:label></a:subfield>
     </a:field>
     <a:field tag="9D" indic="F"><x:label>Exemplarsatz TitelIdNr</x:label>
        <a:subfield code="X"><x:label>Anmerk</x:label></a:subfield>
     </a:field>
     <a:field tag="9D" indic="B"><x:label>ExplBestellDaten</x:label>
        <a:subfield code="O"><x:label>Desiderat</x:label></a:subfield>
        <a:subfield code="T"><x:label>TitelIdNr</x:label></a:subfield>
        <a:subfield code="V"><x:label>Vorgeschlagen</x:label></a:subfield>
        <a:subfield code="E"><x:label>Vorakz.</x:label></a:subfield>
        <a:subfield code="D"><x:label>Fälligkeit</x:label></a:subfield>
        <a:subfield code="R"><x:label>AnweisungsDatum</x:label></a:subfield>
        <a:subfield code="B"><x:label>Bestelldatum</x:label></a:subfield>
        <a:subfield code="S"><x:label>StornoDatum</x:label></a:subfield>
        <a:subfield code="R"><x:label>Reklam.</x:label></a:subfield>
        <a:subfield code="I"><x:label>InventDatum</x:label></a:subfield>
        <a:subfield code="A"><x:label>AuftrGeberCode</x:label></a:subfield>
        <a:subfield code="M"><x:label>Mahnzähler</x:label></a:subfield>
        <a:subfield code="C"><x:label>AnmerkQuelle</x:label></a:subfield>
        <a:subfield code="a"><x:label>Kontingent</x:label></a:subfield>
        <a:subfield code="s"><x:label>Bestellcodes</x:label></a:subfield>
        <a:subfield code="o"><x:label>DatumLetzeMahnung</x:label></a:subfield>
        <a:subfield code="j"><x:label>Lieferant</x:label></a:subfield>
        <a:subfield code="l"><x:label>LieferscheinNr</x:label></a:subfield>
        <a:subfield code="J"><x:label>LieferantAnschr</x:label></a:subfield>
        <a:subfield code="q"><x:label>Lieferpreis Eigenwährg</x:label></a:subfield>
        <a:subfield code="c"><x:label>Bestellwährg</x:label></a:subfield>
        <a:subfield code="Q"><x:label>Komment.Lief.</x:label></a:subfield>
        <a:subfield code="p"><x:label>Bestellpreis/Expl.</x:label></a:subfield>
        <a:subfield code="e"><x:label>Eing.Datum</x:label></a:subfield>
        <a:subfield code="P"><x:label>Bestellpreis</x:label></a:subfield>
        <a:subfield code="u"><x:label>Reklam.Grund</x:label></a:subfield>
        <a:subfield code="n"><x:label>ExplZahl</x:label></a:subfield>
        <a:subfield code="U"><x:label>Rekl.Datum</x:label></a:subfield>
        <a:subfield code="v"><x:label>AnzBde</x:label></a:subfield>
        <a:subfield code="i"><x:label>Rech.Betrag</x:label></a:subfield>
        <a:subfield code="d"><x:label>Bestelldatum jjjjmmtt</x:label></a:subfield>
        <a:subfield code="N"><x:label>RechnNr</x:label></a:subfield>
        <a:subfield code="A"><x:label>AuftrGeber</x:label></a:subfield>
        <a:subfield code="K"><x:label>RechnKomment</x:label></a:subfield>
        <a:subfield code="a"><x:label>Kontingent</x:label></a:subfield>
        <a:subfield code="m"><x:label>MWSt-Satz</x:label></a:subfield>
        <a:subfield code="T"><x:label>Titelzusatz</x:label></a:subfield>
        <a:subfield code="r"><x:label>Rabatt %</x:label></a:subfield>
        <a:subfield code="C"><x:label>Anm./Quelle</x:label></a:subfield>
        <a:subfield code="t"><x:label>SonstNebenKosten</x:label></a:subfield>
        <a:subfield code="I"><x:label>Kommentar</x:label></a:subfield>
        <a:subfield code="E"><x:label>RechnEing.Datum</x:label></a:subfield>
        <a:subfield code="f"><x:label>Mahnfrist1</x:label></a:subfield>
        <a:subfield code="V"><x:label>RechnVermerk</x:label></a:subfield>
        <a:subfield code="g"><x:label>Mahnfrist2</x:label></a:subfield>
        <a:subfield code="h"><x:label>Mahnfrist3</x:label></a:subfield>
        <a:subfield code="w"><x:label>Bestellweg</x:label></a:subfield>
        <a:subfield code="z"><x:label>Zeitraum (Abo)</x:label></a:subfield>
     </a:field>
     <a:field tag="9D" indic="C"><x:label>ZeitschrErwDaten</x:label>
        <a:subfield code="k"><x:label>ErwArt(k,t,g)</x:label></a:subfield>
        <a:subfield code="w"><x:label>Periodizität</x:label></a:subfield>
        <a:subfield code="K"><x:label>Konsort.</x:label></a:subfield>
        <a:subfield code="S"><x:label>StatistGruppe</x:label></a:subfield>
        <a:subfield code="z"><x:label>Beginn-Jahr/Bd,Heft</x:label></a:subfield>
        <a:subfield code="Z"><x:label>Ende-Jahr/Bd-Heft</x:label></a:subfield>
     </a:field>
     <a:field tag="9D" indic="G"><x:label>ExplDaten</x:label>
        <a:subfield code="L"><x:label>BesitzerSigel</x:label></a:subfield>
        <a:subfield code="l"><x:label>Standortsign</x:label></a:subfield>
        <a:subfield code="s"><x:label>MagazSign</x:label></a:subfield>
        <a:subfield code="e"><x:label>ExplNr</x:label></a:subfield>
        <a:subfield code="m"><x:label>Medientyp</x:label></a:subfield>
        <a:subfield code="a"><x:label>Barcode</x:label></a:subfield>
        <a:subfield code="z"><x:label>ZugNr</x:label></a:subfield>
        <a:subfield code="d"><x:label>ZugDatum</x:label></a:subfield>
        <a:subfield code="b"><x:label>Bandbez Textform</x:label></a:subfield>
        <a:subfield code="B"><x:label>Bandbez Sortierform</x:label></a:subfield>
        <a:subfield code="E"><x:label>Ausg./Aufl.</x:label></a:subfield>
        <a:subfield code="Y"><x:label>Ersch.Jahr</x:label></a:subfield>
        <a:subfield code="n"><x:label>Expl.Komment.</x:label></a:subfield>
        <a:subfield code="Z"><x:label>AnzahlVerlng</x:label></a:subfield>
        <a:subfield code="v"><x:label>Ausl./Nutz.modus</x:label></a:subfield>
        <a:subfield code="f"><x:label>Expl.Leihfrist</x:label></a:subfield>
        <a:subfield code="w"><x:label>WartezeitBereitsellung</x:label></a:subfield>
        <a:subfield code="H"><x:label>Bestand</x:label></a:subfield>
        <a:subfield code="F"><x:label>Ausl.Frequenz</x:label></a:subfield>
        <a:subfield code="V"><x:label>VormerkZähler</x:label></a:subfield>
        <a:subfield code="P"><x:label>Provenienz</x:label></a:subfield>
        <a:subfield code="G"><x:label>Gaskell-Code</x:label></a:subfield>
        <a:subfield code="D"><x:label>Schäden</x:label></a:subfield>
        <a:subfield code="I"><x:label>Unregelmäßigkeiten</x:label></a:subfield>
        <a:subfield code="M"><x:label>fehlende Seiten</x:label></a:subfield>
     </a:field>
     <a:field tag="9D" indic="H"><x:label>Ausleihdaten</x:label>
        <a:subfield code="u"><x:label>Benutzercode</x:label></a:subfield>
        <a:subfield code="D"><x:label>EntleihDatum</x:label></a:subfield>
        <a:subfield code="V"><x:label>VormerkEnde</x:label></a:subfield>
        <a:subfield code="R"><x:label>LeihfristEnde</x:label></a:subfield>
        <a:subfield code="w"><x:label>BeginnVorbestellung</x:label></a:subfield>
        <a:subfield code="W"><x:label>GültigkeitVorbestell</x:label></a:subfield>
        <a:subfield code="L"><x:label>BesitzerSigel</x:label></a:subfield>
        <a:subfield code="l"><x:label>Standortsign</x:label></a:subfield>
        <a:subfield code="s"><x:label>MagazSign</x:label></a:subfield>
        <a:subfield code="e"><x:label>ExplNr</x:label></a:subfield>
        <a:subfield code="m"><x:label>AktuelleMahnung</x:label></a:subfield>
        <a:subfield code="a"><x:label>Barcode</x:label></a:subfield>
        <a:subfield code="z"><x:label>ZugNr</x:label></a:subfield>
        <a:subfield code="d"><x:label>ZugDatum</x:label></a:subfield>
        <a:subfield code="B"><x:label>Bandbez Textform</x:label></a:subfield>
        <a:subfield code="b"><x:label>Bandbez Sortierform</x:label></a:subfield>
        <a:subfield code="E"><x:label>Ausg./Aufl.</x:label></a:subfield>
        <a:subfield code="Y"><x:label>Ersch.Jahr</x:label></a:subfield>
        <a:subfield code="n"><x:label>Expl.Komment.</x:label></a:subfield>
        <a:subfield code="C"><x:label>EntleiherKlasse</x:label></a:subfield>
        <a:subfield code="Z"><x:label>AnzVerlng</x:label></a:subfield>
        <a:subfield code="v"><x:label>Ausl./Benutzungsmodus</x:label></a:subfield>
        <a:subfield code="f"><x:label>Expl.Leihfrist</x:label></a:subfield>
        <a:subfield code="w"><x:label>WartezeitBereitsellung</x:label></a:subfield>
        <a:subfield code="H"><x:label>Bestand</x:label></a:subfield>
        <a:subfield code="F"><x:label>Ausl.Zähler</x:label></a:subfield>
        <a:subfield code="V"><x:label>VormerkZähler</x:label></a:subfield>
        <a:subfield code="n"><x:label>AktuelleMahnstufe</x:label></a:subfield>
        <a:subfield code="M"><x:label>NchstMahnung</x:label></a:subfield>
        <a:subfield code="U"><x:label>AblaufLetzteMahnung</x:label></a:subfield>
        <a:subfield code="k"><x:label>ExplBarcode</x:label></a:subfield>
        <a:subfield code="r"><x:label>RückgDatum</x:label></a:subfield>
     </a:field>
     <a:field tag="9D" indic="I"><x:label>LetzteAusl</x:label>
        <a:subfield code="R"><x:label>LeihfristEnde</x:label></a:subfield>
        <a:subfield code="r"><x:label>RückgDatum</x:label></a:subfield>
        <a:subfield code="u"><x:label>Benutzercode</x:label></a:subfield>
     </a:field>
     <a:field tag="9D" indic="M"><x:label>Mahngrund</x:label></a:field>
     <a:field tag="9D" indic="N"><x:label>Heftdatenliste</x:label></a:field>
     <a:field tag="9D" indic="R"><x:label>Index/InhVerz</x:label></a:field>
     <a:field tag="9D" indic="S"><x:label>Sonderhefte</x:label></a:field>
     <a:field tag="9D" indic="U"><x:label>Umlaufverteilerliste</x:label></a:field>
     <a:field tag="9G" indic="F"><x:label>GebührSatz</x:label>
        <a:subfield code="G"><x:label>Geb.Art</x:label></a:subfield>
        <a:subfield code="B"><x:label>LeserBarcode</x:label></a:subfield>
        <a:subfield code="D"><x:label>RegistrDatum</x:label></a:subfield>
        <a:subfield code="d"><x:label>TilgDatum</x:label></a:subfield>
        <a:subfield code="o"><x:label>OperatorErfass</x:label></a:subfield>
        <a:subfield code="n"><x:label>aktuelle Mahnstufe</x:label></a:subfield>
        <a:subfield code="M"><x:label>DatumNchstMahnung</x:label></a:subfield>
        <a:subfield code="K"><x:label>LeserKlasse</x:label></a:subfield>
        <a:subfield code="m"><x:label>WirklMahnDatum</x:label></a:subfield>
     </a:field>
     <a:field tag="9G" indic="G"><x:label>GebührSatz</x:label>
        <a:subfield code="S"><x:label>GebhrSumme</x:label></a:subfield>
        <a:subfield code="E"><x:label>ExplBarcode</x:label></a:subfield>
        <a:subfield code="T"><x:label>TitelId</x:label></a:subfield>
        <a:subfield code="m"><x:label>MedientypKürzel</x:label></a:subfield>
        <a:subfield code="D"><x:label>AuslDatum</x:label></a:subfield>
        <a:subfield code="r"><x:label>FälligDatum</x:label></a:subfield>
        <a:subfield code="R"><x:label>RückDatum</x:label></a:subfield>
        <a:subfield code="n"><x:label>MahnstufeExpl</x:label></a:subfield>
        <a:subfield code="d"><x:label>Verzugstage</x:label></a:subfield>
        <a:subfield code="K"><x:label>Leserklasse</x:label></a:subfield>
     </a:field>
     <a:field tag="9R" indic=" "><x:label>Rechnungsdaten</x:label>
        <a:subfield code="d"><x:label>RechnDatum</x:label></a:subfield>
        <a:subfield code="l"><x:label>Lieferant</x:label></a:subfield>
        <a:subfield code="p"><x:label>Betrag</x:label></a:subfield>
        <a:subfield code="Y"><x:label>Jahr/BdNr</x:label></a:subfield>
        <a:subfield code="k"><x:label>Kontingent</x:label></a:subfield>
        <a:subfield code="s"><x:label>StatistGruppe</x:label></a:subfield>
     </a:field>
     <a:field tag="9X" indic=" "><x:label>ALFA-ExplSatz</x:label>
        <a:subfield code="u"><x:label>Leser</x:label></a:subfield>
        <a:subfield code="a"><x:label>Barcode</x:label></a:subfield>
        <a:subfield code="D"><x:label>EntleihDatum</x:label></a:subfield>
     </a:field>
     <a:field tag="32" indic="B"><x:label>BNB-Klass.</x:label></a:field>
     <a:field tag="32" indic="L"><x:label>LCCS</x:label></a:field>
     <a:field tag="33" indic="B"><x:label>Brit. SW</x:label></a:field>
     <a:field tag="33" indic="L"><x:label>LCSH</x:label></a:field>
     <a:field tag="33" indic="0"><x:label>FremdSchlagw</x:label>
        <a:subfield code="p"><x:label>PersonenSW</x:label></a:subfield>
        <a:subfield code="s"><x:label>SachSW</x:label></a:subfield>
        <a:subfield code="g"><x:label>GeogrSW</x:label></a:subfield>
        <a:subfield code="c"><x:label>KörpSW</x:label></a:subfield>
        <a:subfield code="k"><x:label>KörpSW</x:label></a:subfield>
        <a:subfield code="z"><x:label>ZeitSW</x:label></a:subfield>
        <a:subfield code="f"><x:label>FormSW</x:label></a:subfield>
     </a:field>
     <a:field tag="35" indic=" "><x:label>BezugsWerk</x:label>
        <a:subfield code="a"><x:label>Verfasser</x:label></a:subfield>
        <a:subfield code="t"><x:label>Titel</x:label></a:subfield>
        <a:subfield code="v"><x:label>Vorlageform der Verf. Angabe</x:label></a:subfield>
        <a:subfield code="e"><x:label>Ausgabe</x:label></a:subfield>
        <a:subfield code="f"><x:label>Ort : Verlag</x:label></a:subfield>
        <a:subfield code="g"><x:label>Gesamttitel</x:label></a:subfield>
        <a:subfield code="d"><x:label>Bandzählung</x:label></a:subfield>
        <a:subfield code="j"><x:label>Jahr</x:label></a:subfield>
        <a:subfield code="m"><x:label>Heftzählung</x:label></a:subfield>
        <a:subfield code="n"><x:label>Seitenzahlen</x:label></a:subfield>
     </a:field>
     <a:field tag="3n" indic=" "><x:label>Sach-Stammsatz</x:label>
        <a:subfield code="a"><x:label>Alt</x:label></a:subfield>
        <a:subfield code="b"><x:label>BT</x:label></a:subfield>
        <a:subfield code="f"><x:label>Früher</x:label></a:subfield>
        <a:subfield code="n"><x:label>Neu</x:label></a:subfield>
        <a:subfield code="r"><x:label>Verwandt</x:label></a:subfield>
        <a:subfield code="s"><x:label>Später</x:label></a:subfield>
     </a:field>
     <a:field tag="3n" indic="a"><x:label>Synonym</x:label></a:field>
     <a:field tag="3n" indic="r"><x:label>s.a.-Verweisungen</x:label>
        <a:subfield code="b"><x:label>BroaderTerm</x:label></a:subfield>
        <a:subfield code="r"><x:label>RelatedTerm</x:label></a:subfield>
     </a:field>
     <a:field tag="3n" indic="t"><x:label>AnzeigeText</x:label></a:field>
     <a:field tag="3n" indic="z"><x:label>STS-Anmerk</x:label>
        <a:subfield code="a"><x:label>Quelle</x:label></a:subfield>
        <a:subfield code="b"><x:label>Definition</x:label></a:subfield>
        <a:subfield code="c"><x:label>Hinweis</x:label></a:subfield>
        <a:subfield code="d"><x:label>red. Bem.</x:label></a:subfield>
        <a:subfield code="e"><x:label>erg.-los eingeseh.</x:label></a:subfield>
     </a:field>
     <a:field tag="31" indic=" "><x:label>Schlagwort</x:label></a:field>
     <a:field tag="31" indic="g"><x:label>Geogr. SW</x:label></a:field>
     <a:field tag="31" indic="p"><x:label>Personenschlagw</x:label></a:field>
     <a:field tag="31" indic="s"><x:label>Sach-SW</x:label></a:field>
     <a:field tag="31" indic="t"><x:label>Titel-SW</x:label></a:field>
     <a:field tag="31" indic="m"><x:label>Musik-SW</x:label></a:field>
     <a:field tag="31" indic="f"><x:label>Form-SW</x:label></a:field>
     <a:field tag="9G" indic=" "><x:label>GeschGang Erw</x:label></a:field>
     <a:field tag="99" indic=" "><x:label>Datum</x:label></a:field>
     <a:field tag="30" indic="a"><x:label>Sachgruppe</x:label></a:field>
     <a:field tag="30" indic="g"><x:label>GeoCode</x:label></a:field>
     <a:field tag="30" indic="h"><x:label>Zeitcode</x:label></a:field>
     <a:field tag="30" indic="k"><x:label>BK</x:label></a:field>
     <a:field tag="30" indic="l"><x:label>Sprache</x:label></a:field>
     <a:field tag="30" indic="m"><x:label>Musik-Klass.</x:label></a:field>
     <a:field tag="99" indic="e"><x:label>ÄnderungsDatum</x:label></a:field>
     <a:field tag="99" indic="n"><x:label>Erfassungsdatum</x:label></a:field>
     <a:field tag="32" indic=" "><x:label>FremdNotation</x:label></a:field>
     <a:field tag="96" indic="b"><x:label>Begriff</x:label></a:field>
     <a:field tag="96" indic="e"><x:label>Erklärung</x:label></a:field>

     <a:field tag="3t" indic=" "><x:label>Thesaurus-Term</x:label></a:field>
     <a:field tag="3t" indic="a"><x:label>Synonyme</x:label></a:field>
     <a:field tag="3t" indic="b"><x:label>Oberbegriffe</x:label></a:field>
     <a:field tag="3t" indic="t"><x:label>Sachgruppe</x:label></a:field>
     <a:field tag="3t" indic="d"><x:label>ErfassDatum</x:label></a:field>
     <a:field tag="3t" indic="p"><x:label>FrühererBegriff</x:label></a:field>
     <a:field tag="3t" indic="r"><x:label>s.a.-Begriffe</x:label></a:field>
     <a:field tag="3t" indic="y"><x:label>Definition</x:label></a:field>
     <a:field tag="3t" indic="z"><x:label>BenutzHinweise</x:label></a:field>

     <a:field tag="4n" indic=" "><x:label>Personenname</x:label></a:field>
     <a:field tag="4n" indic="a"><x:label>Verweisungsformen</x:label></a:field>
     <a:field tag="4n" indic="d"><x:label>Individualisierung</x:label>
           <x:sonst><h:a href="http://www.d-nb.de/standardisierung/pdf/praxisregel_individualisierung_311.pdf" target="_blank">PR RAK §311</h:a></x:sonst>
        <a:subfield code="a"><x:label>Lebensdaten</x:label></a:subfield>
        <a:subfield code="b"><x:label>Wirkungsdaten</x:label></a:subfield>
        <a:subfield code="c"><x:label>Geburtsort</x:label></a:subfield>
        <a:subfield code="d"><x:label>Sterbeort</x:label></a:subfield>
        <a:subfield code="e"><x:label>Wirkungsort</x:label></a:subfield>
        <a:subfield code="f"><x:label>Geschlecht f/m</x:label></a:subfield>
        <a:subfield code="g"><x:label>Nationalität</x:label></a:subfield>
        <a:subfield code="h"><x:label>Sprache</x:label></a:subfield>
        <a:subfield code="i"><x:label>weite Berufsbez.</x:label>
          <x:sonst><h:a href="http://www.d-nb.de/standardisierung/pdf/berufeliste.pdf" target="_blank">Liste</h:a></x:sonst>
        </a:subfield>
        <a:subfield code="j"><x:label>Akad. Titel</x:label></a:subfield>
        <a:subfield code="k"><x:label>Dienstgrade</x:label></a:subfield>
        <a:subfield code="l"><x:label>Tit. Universalgelehrte</x:label></a:subfield>
        <a:subfield code="m"><x:label>pers. Bez.</x:label></a:subfield>
        <a:subfield code="n"><x:label>ungef. Zeitang.</x:label></a:subfield>
        <a:subfield code="o"><x:label>spezif. Berufe</x:label></a:subfield>
        <a:subfield code="u"><x:label>sonstige Daten</x:label></a:subfield>
     </a:field>
     <a:field tag="4n" indic="p"><x:label>Pseudonyme</x:label></a:field>
     <a:field tag="4n" indic="r"><x:label>s.a.-Hinweise</x:label></a:field>
     <a:field tag="4n" indic="t"><x:label>Wirklicher Name</x:label></a:field>
     <a:field tag="4n" indic="z"><x:label>Anmerkungen</x:label>
        <a:subfield code="a"><x:label>Quelle</x:label></a:subfield>
        <!-- a:subfield code="b"><x:label>Definition</x:label></a:subfield -->
        <a:subfield code="c"><x:label>Hinweis</x:label></a:subfield>
        <a:subfield code="d"><x:label>red. Bem.</x:label></a:subfield>
        <a:subfield code="e"><x:label>erg.-los eingeseh.</x:label></a:subfield>
     </a:field>
     <a:field tag="6n" indic=" "><x:label>Körperschaftsname</x:label></a:field>
     <a:field tag="6n" indic="a"><x:label>Verweisungsformen</x:label></a:field>
     <a:field tag="6n" indic="i"><x:label>IdentnummerGKD</x:label></a:field>
     <a:field tag="6n" indic="r"><x:label>s.a.-Hinweise</x:label></a:field>
     <a:field tag="6n" indic="f"><x:label>frühere Namen</x:label></a:field>
     <a:field tag="6n" indic="s"><x:label>spätere Namen</x:label></a:field>
     <a:field tag="6n" indic="d"><x:label>"Lebensdaten"</x:label></a:field>
     <a:field tag="6n" indic="z"><x:label>Anmerkungen</x:label>
        <a:subfield code="a"><x:label>Quelle</x:label></a:subfield>
        <!-- a:subfield code="b"><x:label>Definition</x:label></a:subfield -->
        <a:subfield code="c"><x:label>Hinweis</x:label></a:subfield>
        <a:subfield code="d"><x:label>red. Bem.</x:label></a:subfield>
        <a:subfield code="e"><x:label>erg.-los eingeseh.</x:label></a:subfield>
     </a:field>
     <a:field tag="8n" indic=" "><x:label>ZsAnsetzungstitel</x:label></a:field>
     <a:field tag="8n" indic="a"><x:label>ZsTitelKürzel</x:label></a:field>
     <a:field tag="8n" indic="i"><x:label>ZsZitiertitel</x:label></a:field>
     <a:field tag="8n" indic="r"><x:label>ZsTitelVerw</x:label></a:field>
     <a:field tag="23" indic=" "><x:label>Nebentitel</x:label></a:field>
     <a:field tag="23" indic="k"><x:label>ISSNKeyTitle</x:label></a:field>
     <a:field tag="23" indic="F"><x:label>früherer Titel</x:label></a:field>
     <a:field tag="23" indic="S"><x:label>späterer Titel</x:label></a:field>
     <a:field tag="88" indic=" "><x:label>ISSN</x:label></a:field>
     <a:field tag="88" indic="c"><x:label>CODEN</x:label></a:field>
     <a:field tag="89" indic="Z"><x:label>ZDB-Nummer</x:label></a:field>
     <a:field tag="2n" indic=" "><x:label>EinheitstitelAnsetzung</x:label></a:field>
     <a:field tag="2n" indic="r"><x:label>EinhTitelVerweisung</x:label></a:field>
     <a:field tag="2n" indic="d"><x:label>Datierung</x:label></a:field>
     <a:field tag="2n" indic="z"><x:label>Anmerkungen</x:label></a:field>
     <a:field tag="2n" indic="u"><x:label>EST-Übersetzungen</x:label></a:field>
     <a:field tag="57" indic=" "><x:label>AnderePerson</x:label></a:field>
     <a:field tag="57" indic="d"><x:label>Dirigent</x:label></a:field>
     <a:field tag="57" indic="i"><x:label>Interpret</x:label></a:field>
     <a:field tag="61" indic=" "><x:label>Körperschaft</x:label>
        <a:subfield code="o"><x:label>Ort</x:label></a:subfield>
     </a:field>
     <a:field tag="61" indic="i"><x:label>Orchester</x:label></a:field>
     <a:field tag="62" indic=" "><x:label>Ausstellungslokal</x:label>
        <a:subfield code="f"><x:label>Form/Funktion</x:label></a:subfield>
        <a:subfield code="o"><x:label>Ort</x:label></a:subfield>
     </a:field>
     <a:field tag="8e" indic=" "><x:label>URL</x:label>
        <a:subfield code="t"><x:label>Linktext</x:label></a:subfield>
        <a:subfield code="z"><x:label>Zusatztext</x:label></a:subfield>
     </a:field>
   </x:data>

   <x:footer>
      <h:div name="footer">
         <h:a href="http://www.fbi.fh-koeln.de/studium/rak/anlagen.htm" target="rakanl">Übersicht RAK-Anlagen</h:a>
      </h:div>
   </x:footer>

   <xsl:variable name="data" select='document("")//x:data[1]' />

   <xsl:key name="internalentry" match="a:record" use="@recno"/>
   <xsl:key name="getrefs" match="reference" use="@toid"/>

   <xsl:template match="/">
      <h:html xml:lang="de" lang="de">
         <h:head>
            <h:title>Datensatz <xsl:value-of select="//a:allegroaxml/a:record/@id"/></h:title>
            <h:link rel="stylesheet" type="text/css" href="rdac.css"/>
         </h:head>

         <h:body>
            <xsl:apply-templates select="document('')//x:header" mode="htmldump"/>
            <xsl:apply-templates />
            <xsl:apply-templates select="document('')//x:footer" mode="htmldump"/>
         </h:body>
      </h:html>
   </xsl:template>

   <xsl:template match="a:record">
      <xsl:variable name="recno" select="@recno"/>
      <xsl:variable name="id" select="@id"/>
      <h:h3>
         <h:a name="{@recno}">
            Satz <xsl:value-of select="@recno"/>, Id <xsl:value-of select="@id"/>
         </h:a>
      </h:h3>
      <h:div class="record">
          <xsl:apply-templates />
      </h:div>
   </xsl:template>

   <xsl:template mode="rec2id" match="a:record">
      <xsl:value-of select="@id"/>
   </xsl:template>

<!-- Interndarstellung -->

   <xsl:template match="a:subrecord">
      <h:h4>hierarchischer Untersatz</h:h4>
      <xsl:apply-templates />
   </xsl:template>

   <xsl:template match="a:record" mode="subrec">
      <h:h4>verknüpfter Untersatz Id <xsl:value-of select="@id"/></h:h4>
      <xsl:apply-templates />
   </xsl:template>

   <xsl:template match="a:field">
      <xsl:variable name="thisdata" select="$data/a:field[(@tag=current()/@tag) and (@indic=current()/@indic)]"/>
      <h:p class="intern">
         <xsl:if test="not(string-length(@irepet))">
            <h:span class="label">
               <xsl:apply-templates select="$thisdata/x:label" mode="htmldump"/>
            </h:span>
            <h:span class="rakref">
               <xsl:apply-templates select="$thisdata/x:rak" mode="rak" />
               <xsl:apply-templates select="$thisdata/x:sonst" mode="rak" />
            </h:span>
         </xsl:if>
         <xsl:choose>
            <xsl:when test="not(string-length(@irepet))">
               <h:span class="katno">
                  <xsl:choose>
                     <xsl:when test="count($thisdata/x:dform)">
                        <h:a href="{concat($form04, $thisdata/x:dform, '.htm', '#', @tag)}" target="dform">
                           <xsl:call-template name="katno" />
                        </h:a>
                     </xsl:when>
                     <xsl:otherwise>
                       <xsl:call-template name="katno" />
                     </xsl:otherwise>
                  </xsl:choose>
               </h:span>
            </xsl:when>
            <xsl:otherwise>
               <h:span class="irepet">
                   <xsl:value-of select="'¶'"/>
               </h:span>
            </xsl:otherwise>
         </xsl:choose>

         <h:span class="{concat('kat', @tag, @indic)}">
            <xsl:apply-templates select="text() | *[(namespace-uri(.)='http://www.gymel.com/allegro/xml/0.1/') and not(local-name(.)='subfield')]"/>
         </h:span>
      
         <xsl:apply-templates select="a:subfield"/>
      </h:p>
   </xsl:template>

   <xsl:template name="katno">
      <xsl:choose>
         <xsl:when test="@indic=' '">
            <xsl:value-of select="concat('#', @tag, '&#xa0;')"/>
         </xsl:when>
         <xsl:when test="string-length(@indic)">
            <xsl:value-of select="concat('#', @tag, @indic)"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="concat('#', @tag, '&#xa0;')"/>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <xsl:template match="a:subfield">
      <xsl:variable name="thisdata" select="$data/a:field[(@tag=current()/../@tag) and (@indic=current()/../@indic)]/a:subfield[@code=current()/@code]"/>
      <br />
      <h:span class="sublabel">
         <xsl:apply-templates select="$thisdata/x:label" mode="htmldump"/>
      </h:span>
            <h:span class="rakref">
               <xsl:apply-templates select="$thisdata/x:rak" mode="rak" />
               <xsl:apply-templates select="$thisdata/x:sonst" mode="rak" />
            </h:span>
      <h:span class="subfield">
         <xsl:value-of select="concat('$', @code)"/>
      </h:span>
      <xsl:apply-templates />
   </xsl:template>

   <xsl:template match="a:reference">
      <xsl:value-of select="'_'"/>
      <!-- xsl:for-each select="@toid">
         <xsl:call-template name="linkbyv14">
            <xsl:with-param name="key" select="."/>
         </xsl:call-template>
      </xsl:for-each -->
      <h:span class="klartext">
         <xsl:value-of select="'[= '"/>
         <xsl:apply-templates />
         <xsl:value-of select="' ]'"/>
      </h:span>
   </xsl:template>

   <xsl:template match="a:nosort">
      <xsl:value-of select="'¬'" />
      <xsl:apply-templates/>
      <xsl:choose>
         <xsl:when test="@unbalanced">
            <h:span class="error"><xsl:value-of select="'[¬]'" /></h:span>
         </xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="'¬'" />
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>


   <xsl:template match="text()|@*" mode="htmldump">
      <xsl:copy-of select="."/>
   </xsl:template>

   <xsl:template match="*[namespace-uri(.)='http://www.w3.org/1999/xhtml']" mode="htmldump">
      <xsl:element name="{local-name(.)}" namespace="http://www.w3.org/1999/xhtml">
         <xsl:apply-templates select="@*|node()" mode="htmldump" />
      </xsl:element>
   </xsl:template>

   <xsl:template match="*[not(namespace-uri(.)='http://www.w3.org/1999/xhtml')]" mode="htmldump">
      <xsl:apply-templates select="@*|node()" mode="htmldump" />
   </xsl:template>

   <xsl:template match="x:sonst" mode="rak">
      <xsl:apply-templates mode="htmldump"/>
   </xsl:template>

   <xsl:template match="x:rak" mode="rak">
      <xsl:call-template name="splitrak">
         <xsl:with-param name="rest" select="." />
      </xsl:call-template>   
   </xsl:template>

   <xsl:template name="splitrak">
      <xsl:param name="rest" select="''" />
      <xsl:variable name="first" select="substring-before(concat($rest, ', '), ', ')"/>
      <xsl:choose>
         <xsl:when test="starts-with($first, '§')">
            <h:a href="{concat($rakdb, substring($first, 2))}" target="rakdb">
               <xsl:value-of select="concat('RAK ', substring-before(concat($first, ' '), ' '))"/>
            </h:a>
            <xsl:if test="contains($first, ' ')">
               <xsl:value-of select="concat(' ', substring-after($first, ' '))"/>
            </xsl:if>
         </xsl:when>
         <xsl:when test="starts-with($first, 'A')">
            <h:a href="{concat($rakanh, substring($first, 2), '.pdf')}" target="rakanl">
               <xsl:value-of select="concat('RAK Anlage ', substring($first,2))"/>
            </h:a>
         </xsl:when>
         <xsl:otherwise>
            <xsl:value-of select="$first"/>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:if test="contains($rest, ', ')">
         <xsl:value-of select="', '"/>
         <xsl:call-template name="splitrak">
            <xsl:with-param name="rest" select="substring-after($rest, ', ')" />
         </xsl:call-template>
      </xsl:if>
   </xsl:template>

</xsl:stylesheet>
